untyped
global function PhaseSatchel_init


void function PhaseSatchel_init()
{
    // stuff for satchel mod
    AddPrivateMatchModeSettingEnum( "#MODE_SETTING_CATEGORY_PHASE_SATCHEL", "Satchel", [ "#SETTING_DISABLED", "#SETTING_ENABLED" ], "0" )
    AddPrivateMatchModeSettingEnum( "#MODE_SETTING_CATEGORY_PHASE_SATCHEL", "HOLO", [ "#SETTING_DISABLED", "#SETTING_ENABLED" ], "0" )
	AddPrivateMatchModeSettingEnum( "#MODE_SETTING_CATEGORY_PHASE_SATCHEL", "STICKY", [ "#SETTING_DISABLED", "#SETTING_ENABLED" ], "0" )
    
    #if SERVER 
    PrecacheModel($"models/props/turret_base/turret_base.mdl")
    PrecacheModel($"models/signs/flag_base_pole_ctf.mdl")

    if ( GetCurrentPlaylistVarInt("HOLO", 0) == 1 )
    {
        AddDamageCallback( "player_decoy", HoloDied )
        AddDeathCallback( "player_decoy", HoloDied )
    }
    #endif
}

#if SERVER


void function HoloDied( entity decoy, var damageInfo )
{
    thread DecoyNukeDamage( decoy.GetTeam(), decoy.GetOrigin(), decoy )
    
    EmitSoundOnEntity( decoy, "explo_proximityemp_impact_3p" )
}

void function DecoyNukeDamage( int team, vector origin, entity attacker )
{
	entity inflictor = CreateExplosionInflictor( origin )

	OnThreadEnd(
		function() : ( inflictor )
		{
			if ( IsValid( inflictor ) )
				inflictor.Destroy()
		}
	)

	for ( int i = 0; i < 3; i++ )
	{

		entity explosionOwner
		if ( IsValid( attacker ) )
			explosionOwner = attacker
		else
			explosionOwner = GetTeamEnt( team )
        
        PlayImpactFXTable( origin, inflictor, "titan_exp_ground" )

		RadiusDamage_DamageDefSimple(
			damagedef_reaper_nuke,
			origin,								// origin
			explosionOwner,						// owner
			inflictor,							// inflictor
			0 )									// dist from attacker

		wait RandomFloatRange( 0.01, 0.21 )
	}
}

#endif

